Bug 51280 - pump and dhcpcd handle the DNS search path differently
pump and dhcpcd handle the DNS search path differently
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-08 19:43 EDT by Peter Bowen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 16:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bowen 2001-08-08 19:43:35 EDT
When using pump as the dhcp client, it creates the search path for
/etc/resolv.conf by first using the entire domain passed to it by the dhcp
server, then progressivly stripping off leading parts until only the
registered domain remains.

With dhcpcd, it only puts the domain that is passed via dhcp in the search
path.

For example, my laptop at work is in the wdhq.scyld.com domain.  Under
pump, the search line was "search wdhq.scyld.com scyld.com", but with
dhcpcd it is just "search wdhq.scyld.com"

This is a regression from previous RHL versions that can have wide ranging
effects.  Anyone who expects a machine, that is not in their nth level
domain, to be available via a simple host name will have problems.
Comment 1 Glen Foster 2001-08-09 16:11:26 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 2 Elliot Lee 2001-12-28 15:27:21 EST
My current resolv.conf has 'search redhat.com devel.redhat.com', so it appears
to be fixed.

Note You need to log in before you can comment on or make changes to this bug.